Subject: bug#39215: Hyperlinks to man pages in doc strings

From: Stefan Kangas <[email-masked]>
Date: Fri, 24 Sep 2021 19:10:21 -0700

tags 39215 fixed
close 39215 28.1
thanks

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Thanks.  How about the attached patch?
>
> [...]
>
>> * lisp/help-mode.el (help-man): New button type.
>> (help-xref-man-regexp): New const.
>> (help-make-xrefs): Use them to allow making man page buttons.
>> * doc/lispref/tips.texi (Documentation Tips): Document the new
>> hyperlink type.  (Bug#39215)
>
> I think that's a really good idea.  I haven't tried the patch, but
> skimming it, it looks good to me, so go ahead and push.

Thanks.  I fixed the issue pointed out by Phil and have now pushed it to
master as commit 0917919337.